////// COLOR COLLECTION

@greenTxt: #406225;
@orange : #ed6b06;

// Default colors

@yellow: rgb(245, 230, 067);

@red: rgb(255, 30, 0);
@blue: blue;


@black: rgb(0, 0, 0);

@greyExtraDark: rgb(36, 36, 36); // font base
@greyDark: rgb(100, 100, 100);
@greyMedium: rgb(160, 160, 160);
@greyLight: rgb(220, 220, 220);
@greyExtraLight: rgb(247, 247, 247); // background block

@white: rgb(255, 255, 255); // background base & inputs


//////
////// COLORS & USES
//////

@bodyBgColor: @white;
@textColor: @greenTxt;
@textColorLight: @greyDark;


////// Interactive elements

// @interactiveColorHover: @red;
// @inactiveHoverColor: @greyDark;
@warningColor: @yellow;

@activeColor: @orange;
@activeColorHover: @greyDark;
@activeColorPressed: @greyDark - 15%;

@inactiveColor: @greyMedium;
@disabledColor: @greyMedium + 15%;

///////  BACKGROUNDS COLORS

@bgLightColor: @greyExtraLight;
@bgMediumColor: @greyDark;
@bgDarkColor: @greyLight;
@bgActiveColor : @yellow;



// @widget-background : @greyLight;
// @widget-background-hover : @greyDark;
// @widget-background-active : @greyLight;


////// Map background

@mapBgColor: @white;

////// Links 

@linkColor: @textColor;
@linkColorHover: @activeColor;
@linkDecorationColor: @greyDark;

////// Borders

@borderDarkColor: @textColor;
@borderLightColor: @greyDark;
@borderExtraLightColor : @greyLight;

////// Inputs

@inputBorderColor: @greyDark;
@inputBgColor: @white;
@inputPlaceholderColor: @greyDark;

@editable: @greyExtraLight - 10%;

////// Table 

@tableRowActiveColor: @greyExtraLight - 30%;
@tableRowHoverColor: @greyExtraLight - 15%;
@tableTextSelectColor: @tableRowActiveColor;

////// Loader

@loaderColor : @greyDark;